/// <reference types="node" />
import { PassThrough, Readable } from 'stream';
export { encode as encodeBinaryJSON } from './jsonxl.min';
export type InitArg = {
    id: string;
    data: unknown;
}[];
export type AssetItem = string | {
    type: 'path';
    path: string;
} | {
    type: 'cjs';
    path: string;
    name: string;
} | {
    type: 'raw';
    content: string;
};
export type ScriptItem = AssetItem;
export type Options = {
    scripts?: ScriptItem[];
    html?: string[];
    init: string | ((data: InitArg) => void);
    jsonExtAPIName?: string;
    dataCompression?: boolean;
};
export default class HTMLWriter {
    options: Options;
    chunkWriters: Array<{
        id: string;
        stream: Readable;
    }>;
    stream: PassThrough;
    constructor(options: Options);
    getStream(): Readable;
    write(): Promise<void>;
    addChunkWriter(source: Readable, id: string): void;
}
